package com.YuyeTech.HeartRate.game.userinfo.repository;

import com.YuyeTech.HeartRate.common.repository.CommonRepository;
import com.YuyeTech.HeartRate.game.userinfo.projo.MainInfo;

import java.util.Optional;

/**
 * @author:slambb
 * @date:2019/12/31
 */
public interface MainInfoRepository extends CommonRepository<MainInfo,String> {

   Optional<MainInfo> findByTelephoneNumberAndPassword(String phoneNumber,String password);
   Optional<MainInfo> findByTelephoneNumber(String phoneNumber);
   Optional<MainInfo> findByEmailAndPassword(String email,String password);
   Optional<MainInfo> findByEmail(String email);

}
